wood burning stoves*
The moose likes Applets and the fly likes Applets not loading in JRE verion >= JRE 1.6.0_10 and FF3 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


JavaRanch » Java Forums » Java » Applets
Bookmark "Applets not loading in JRE verion >= JRE 1.6.0_10 and FF3" Watch "Applets not loading in JRE verion >= JRE 1.6.0_10 and FF3" New topic
Author

Applets not loading in JRE verion >= JRE 1.6.0_10 and FF3

vishal raina
Greenhorn

Joined: Feb 17, 2009
Posts: 2
Hi,

I am facing an issue, where applet is not loading in FF3 and JRE version >= JRE 1.6.0_10.

Same applet is working fine in IE7 with same JRE. On using FF3 with JRE < JRE 1.6.0_10, it is also working fine.

Error on Java Console:
java.lang.ClassNotFoundException: xyz.class
at sun.plugin2.applet.Applet2ClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.plugin2.applet.Plugin2ClassLoader.loadCode(Unknown Source)
at sun.plugin2.applet.Plugin2Manager.createApplet(Unknown Source)
at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)

[where xyz is name of an applet]

On navigating through various sites, finally i found on disabling the next generation plug-in, applet loads perfectly in FF3 also.
Windows Control Panel --> Java -->Advanced tab --> Java Plug-in --> uncheck Enable the next-generation and then restarting FF3, applet loads perfectly with out any error.

But what i want is :
can we do some changes in applet code so that it can load properly in FF3 rather than changing Java Plugin property?

Waiting for your reply.

Regards,
Vishal Razdan

Joseph Macer
Ranch Hand

Joined: Apr 20, 2008
Posts: 63
Recently, Java and FF had some problems working well together - I had the same problem with FF not loading the applet and IE. Updating to JRE update 12 fixed it.
 
GeeCON Prague 2014
 
subject: Applets not loading in JRE verion >= JRE 1.6.0_10 and FF3